Download it now!
Bug 77719 - FILESAVE: Corruption: File containing custom geometry having text inside is getting corruptrd on RT.
Summary: FILESAVE: Corruption: File containing custom geometry having text inside is g...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Sourav
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 09:10 UTC by Sourav
Modified: 2014-04-28 11:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (16.41 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-21 09:10 UTC, Sourav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sourav 2014-04-21 09:10:20 UTC
Created attachment 97677 [details]
Original File

Problem description:
 File containing custom geometry having text inside is getting corruptrd on RT.

Steps to reproduce:
1.Import the attached file in LO.
2.Save the File as .docx

Current behavior:
The RT file gets corrupted.

Expected behavior:
The RT file should not get corrupted.
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-04-21 09:49:24 UTC
Reproducible, tested using Mac OSX 10.9 with Version: 4.3.0.0.alpha0+
Build ID: 619b4c40da9e85febbb08a3f7cf8aa8d10963fc1
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-04-18_00:07:53

Kind regards,
Joren
Comment 2 Commit Notification 2014-04-28 08:05:46 UTC
Sourav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0860625e29c18d2eca647a6cedd0ce679d5a80d

fdo#77719 File containing CusGeom gets corrupted on RT.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Sourav 2014-04-28 11:48:58 UTC
Patch is merged and issue is resolved.